org.eclipse.wst.jsdt.chromium.debug.core.model

## Interface JavaScriptFormatter.Result

Enclosing interface:
  JavaScriptFormatter

    public static interface JavaScriptFormatter.Result

Represents formatting result. It contains a formatted text and a mapping between original and formatted versions.

### Method Summary

All Methods Instance Methods Abstract Methods
`java.lang.String` `getFormattedText()`
`StringMappingData` `getFormattedTextData()`
`StringMappingData` `getInputTextData()`

### Method Detail

#### getFormattedText

    java.lang.String getFormattedText()

#### getInputTextData

    StringMappingData getInputTextData()

#### getFormattedTextData

    StringMappingData getFormattedTextData()